# WOK
TKWOK
WOKTools

# WOKTools_Return Class Reference

Manages API return Statements
.

`#include <WOKTools_Return.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | WOKTools_Return ()
Standard_EXPORT void | Clear ()
Standard_EXPORT void | AddStringValue (const Standard_CString arg)
Standard_EXPORT void | AddStringValue (const Handle(TCollection_HAsciiString)&arg)
Standard_EXPORT void | AddStringParameter (const Handle(TCollection_HAsciiString)&aname, const Handle(TCollection_HAsciiString)&avalue)
Standard_EXPORT void | AddIntegerValue (const Standard_Integer anint)
Standard_EXPORT void | AddBooleanValue (const Standard_Boolean abool)
Standard_EXPORT void | AddSetEnvironment (const Handle(TCollection_HAsciiString)&name, const Handle(TCollection_HAsciiString)&value)
Standard_EXPORT void | AddSetEnvironment (const Standard_CString name, const Standard_CString value)
Standard_EXPORT void | AddUnSetEnvironment (const Handle(TCollection_HAsciiString)&name)
Standard_EXPORT void | AddUnSetEnvironment (const Standard_CString name)
Standard_EXPORT void | AddChDir (const Handle(TCollection_HAsciiString)&path)
Standard_EXPORT void | AddChDir (const Standard_CString path)
Standard_EXPORT void | AddInterpFile (const Handle(TCollection_HAsciiString)&file, const WOKTools_InterpFileType type=WOKTools_CShell)
Standard_EXPORT void | AddInterpFile (const Standard_CString file, const WOKTools_InterpFileType type=WOKTools_CShell)
Standard_EXPORT Handle_WOKTools_ReturnValue | Value (const Standard_Integer anidx) const
Standard_EXPORT Handle_WOKTools_HSequenceOfReturnValue | Values () const
Standard_EXPORT Standard_Integer | Length () const

## Private Attributes

Handle_WOKTools_HSequenceOfReturnValue | myargs

## Constructor & Destructor Documentation

Standard_EXPORT WOKTools_Return::WOKTools_Return | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void WOKTools_Return::AddBooleanValue | ( | const Standard_Boolean | abool | ) |

Standard_EXPORT void WOKTools_Return::AddChDir | ( | const Standard_CString | path | ) |

Standard_EXPORT void WOKTools_Return::AddChDir | ( | const Handle(TCollection_HAsciiString)& | path | ) |

Standard_EXPORT void WOKTools_Return::AddIntegerValue | ( | const Standard_Integer | anint | ) |

Standard_EXPORT void WOKTools_Return::AddInterpFile | ( | const Standard_CString | file,
|  | const WOKTools_InterpFileType | type = `WOKTools_CShell`
| ) |

Standard_EXPORT void WOKTools_Return::AddInterpFile | ( | const Handle(TCollection_HAsciiString)& | file,
|  | const WOKTools_InterpFileType | type = `WOKTools_CShell`
| ) |

Standard_EXPORT void WOKTools_Return::AddSetEnvironment | ( | const Standard_CString | name,
|  | const Standard_CString | value
| ) |

Standard_EXPORT void WOKTools_Return::AddSetEnvironment | ( | const Handle(TCollection_HAsciiString)& | name,
|  | const Handle(TCollection_HAsciiString)& | value
| ) |

Standard_EXPORT void WOKTools_Return::AddStringParameter | ( | const Handle(TCollection_HAsciiString)& | aname,
|  | const Handle(TCollection_HAsciiString)& | avalue
| ) |

Standard_EXPORT void WOKTools_Return::AddStringValue | ( | const Handle(TCollection_HAsciiString)& | arg | ) |

Standard_EXPORT void WOKTools_Return::AddStringValue | ( | const Standard_CString | arg | ) |

Standard_EXPORT void WOKTools_Return::AddUnSetEnvironment | ( | const Standard_CString | name | ) |

Standard_EXPORT void WOKTools_Return::AddUnSetEnvironment | ( | const Handle(TCollection_HAsciiString)& | name | ) |

Standard_EXPORT void WOKTools_Return::Clear | ( |  | ) |

Standard_EXPORT Standard_Integer WOKTools_Return::Length | ( |  | ) | const

void WOKTools_Return::operator delete | ( | void * | anAddress | ) | `[inline]`

void* WOKTools_Return::operator new | ( | size_t | size | ) | `[inline]`

void* WOKTools_Return::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Handle_WOKTools_ReturnValue WOKTools_Return::Value | ( | const Standard_Integer | anidx | ) | const

Standard_EXPORT Handle_WOKTools_HSequenceOfReturnValue WOKTools_Return::Values | ( |  | ) | const

## Field Documentation

Handle_WOKTools_HSequenceOfReturnValue WOKTools_Return::myargs `[private]`

The documentation for this class was generated from the following file:

- WOKTools_Return.hxx